// Copyright (c) 2024 mStar
//
// Licensed under the EUPL, Version 1.2
//
// You may not use this work except in compliance with the Licence.
// You should have received a copy of the Licence along with this work. If not, see:
// <https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12>.
// See the Licence for the specific language governing permissions and limitations under the Licence.
//

package main

import (
	"fmt"

	"gitlab.com/mstarongitlab/linstrom/config"
	"gitlab.com/mstarongitlab/linstrom/storage"
)

func main() {
	cliArgs := config.ReadCLIArguments()
	fmt.Println(cliArgs)
	cfg := config.ReadConfig(&cliArgs)
	fmt.Println(cfg)
	storage, err := storage.NewStorage(&cfg)
	if err != nil {
		panic(err)
	}
	fmt.Println(storage.GetFollowersFor("Placeholder"))
}
